﻿using Microsoft.Xna.Framework;

namespace Xmas2023
{
    class FallingPixel
    {
        public int X { get; set; }
        public int Y { get; set; }
        public Vector2 Position { get; set; }
        public Vector2 Velocity { get; set; }

        public FallingPixel(int x, int y, int speed)
        {
            X = x;
            Y = y;
            Position = new Vector2(x, y);
            Velocity = new Vector2(0, 1 - speed / 20f);
        }

        public void Update()
        {
            Position += Velocity;

        }
    }
}